Skip to content

Attach a contact to a conversation

Request

You can add participants who are contacts to a conversation, on behalf of either another contact or an admin.

Contacts without an email

If you add a contact via the email parameter and there is no user/lead found on that workspace with he given email, then we will create a new contact with role set to lead.

Security
bearerAuth
Path
conversation_idstringrequired

The identifier for the conversation as given by Intercom.

Example:123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
Bodyapplication/json
admin_idstring

The id of the admin who is adding the new participant.

Example:"12345"
customerIntercom User ID (object) or User ID (object) or Email (object)
One of:
curl -i -X POST \
  https://api.intercom.io/conversations/123/customers \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.16' \
  -d '{
    "admin_id": 991267731,
    "customer": {
      "intercom_user_id": "6762f19b1bb69f9f2193bbd4"
    }
  }'

Responses

Attach a contact to a conversation

Bodyapplication/json
typestring

Always conversation.

Example:"conversation"
idstring

The id representing the conversation.

Example:"1295"
titlestring or null

The title given to the conversation.

Example:"Conversation Title"
created_atinteger, (date-time)

The time the conversation was created.

Example:1663597223
updated_atinteger, (date-time)

The last time the conversation was updated.

Example:1663597260
waiting_sinceinteger or null, (date-time)

The last time a Contact responded to an Admin. In other words, the time a customer started waiting for a response. Set to null if last reply is from an Admin.

Example:1663597260
snoozed_untilinteger or null, (date-time)

If set this is the time in the future when this conversation will be marked as open. i.e. it will be in a snoozed state until this time. i.e. it will be in a snoozed state until this time.

Example:1663597260
openboolean

Indicates whether a conversation is open (true) or closed (false).

Example:true
statestring

Can be set to "open", "closed" or "snoozed".

Enum:"open""closed""snoozed"
Example:"open"
readboolean

Indicates whether a conversation has been read.

Example:true
prioritystring

The priority level of the conversation. Returns one of none, low, medium, high, or urgent.

Enum:"none""low""medium""high""urgent"
Example:"high"
admin_assignee_idinteger

The id of the admin assigned to the conversation. If it's not assigned to an admin it will return 0.

Example:0
team_assignee_idinteger

The id of the team assigned to the conversation. If it's not assigned to a team it will return 0.

Example:5017691
companyobject or null(Company)

The company associated with the conversation.

tagsobject(Tags)

A list of tags objects associated with a conversation

conversation_ratingobject or null(Conversation Rating)

The Conversation Rating object which contains information on the rating and/or remark added by a Contact and the Admin assigned to the conversation.

The type of the conversation part that started this conversation. Can be Contact, Admin, Campaign, Automated or Operator initiated.

contactsobject(Contacts)

The list of contacts (users or leads) involved in this conversation. This will only contain one customer unless more were added via the group conversation feature.

teammatesobject or null(Conversation teammates)

The list of teammates who participated in the conversation (wrote at least one conversation part).

custom_attributesobject(Custom Attributes)

An object containing the different custom attributes associated to the conversation as key-value pairs. For relationship attributes the value will be a list of custom object instance models. System-defined attributes such as "CX Score rating" and "CX Score explanation" may also be included.

Example:
{ "paid_subscriber": true, "monthly_spend": 155.5, "team_mates": 9, "start_date_iso8601": "2023-03-04T09:46:14Z", "end_date_timestamp": 1677923174, "CX Score rating": 4, "CX Score explanation": "The conversation was resolved quickly and the customer expressed satisfaction with the outcome." }
first_contact_replyobject or null(First contact reply)

An object containing information on the first users message. For a contact initiated message this will represent the users original message.

sla_appliedobject or null(Applied SLA)

The SLA Applied object contains the details for which SLA has been applied to this conversation. Important: if there are any canceled sla_events for the conversation - meaning an SLA has been manually removed from a conversation, the sla_status will always be returned as null.

statisticsobject or null(Conversation statistics)

A Statistics object containing all information required for reporting, with timestamps and calculated metrics.

conversation_partsobject(Conversation Parts)

A list of Conversation Part objects for each part message in the conversation. This is only returned when Retrieving a Conversation, and ignored when Listing all Conversations. There is a limit of 500 parts.

linked_objectsobject(Linked Objects)

An object containing metadata about linked conversations and linked tickets. Up to 1000 can be returned.

ai_agent_participatedboolean

Indicates whether the AI Agent participated in the conversation.

Example:true
ai_agentobject or null(AI Agent)

Data related to AI Agent involvement in the conversation.

sales_agent_participatedboolean

Indicates whether the Sales Agent participated in the conversation.

Example:false
sales_agentobject or null(Sales Agent)

Data related to Sales Agent involvement in the conversation.

channelobject or null(Conversation Channel)

The channel through which the conversation was initiated and its current channel.

external_referencesArray of objects(Conversation External Reference)

References linking this conversation to records in an external helpdesk or CRM system. Populated for Fin Standalone workspaces synced from an external platform; an empty array otherwise. Sorted alphabetically by type and capped at 20 entries.

Example:
[ { "type": "zendesk_ticket", "id": "3633338" }, { "type": "zendesk_sunshine_conversation", "id": "abc-def-uuid" } ]
monitor_evaluationsArray of objects(Conversation Monitor Evaluation)

QA monitor evaluations that flagged this conversation. Only included when include_monitors=true is passed as a query parameter.

scorecardsArray of objects(Conversation Scorecard)

QA scorecard results for this conversation. Only included when include_scorecards=true is passed as a query parameter.

Response
{ "customers": [ {} ] }